use strict;
use warnings;
use Module::Build;

my $builder = Module::Build->new(
    module_name         => 'POWER::Event::IO',
    license             => 'perl',
    dist_author         => 'Alex Efros <powerman@asdfgroup.com>',
    dist_version_from   => 'lib/POWER/Event/IO.pm',
    requires => {
        # to test
        'Test::More'            => 0,
        'Test::Exception'       => 0,
        'Data::Alias'           => 0.08,
        'POWER::Utils::Resource'=> 0,
        'POWER::Utils::IO'      => 0,
        # to run
        'version'               => 0,
        'Perl6::Export::Attrs'  => 0,
        'POWER::Epoll'          => 'v2.0.0',
        'POWER::Event::Timer'   => 0,
    },
    add_to_cleanup      => [ 'POWER-Event-IO-*' ],
);

$builder->create_build_script();
