use warnings;
use strict;
use Test::More tests => 3;
use Test::Exception;
use Test::MockModule;

use Socket;

use POWER::Event;
use POWER::Event::IO;
use POWER::Utils::IO;


pipe my $rd, my $wr or die "pipe: $!";
POWER::Event::IO->new({
    fh          => $rd,
    cb          => \&rd,
    wait_for    => $EOF,
    in_buf_limit=> 1024,
});
POWER::Event::IO->new({
    fh          => $wr,
    cb          => \&wr,
    wait_for    => $SENT,
    out_buf     => 'test',
});


eval { loop() };
die "out of loop: $@";

sub wr {
    my ($io) = @_;
    is($io->{events}, $SENT,   'wr: SENT here');
    $io->close();
}

sub rd {
    my ($io) = @_;
    is($io->{events}, $EOF,   'rd: EOF here');
    is($io->{in_buf}, 'test', '    got "test"');
    exit;
}

